package eu.mathiasl.legacychatfix;

import com.comphenix.protocol.ProtocolLibrary;
import eu.mathiasl.legacychatfix.config.ConfigManager;
import org.bukkit.plugin.java.JavaPlugin;

public final class LegacyChatFix extends JavaPlugin {

    ConfigManager configManager;

    LegacyChatFixPacketAdapter adapter;

    @Override
    public void onEnable() {
        configManager = new ConfigManager(this);
        configManager.saveDefaultConfig("config.yml");
        configManager.checkAndUpdateConfig("config.yml");

        adapter = new LegacyChatFixPacketAdapter(this, configManager);
        ProtocolLibrary.getProtocolManager().addPacketListener(adapter);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        ProtocolLibrary.getProtocolManager().removePacketListener(adapter);
        configManager.saveConfig("config.yml");
    }


}
